Subject: (g)vim for X11
From: Samy Alex ZAIMI <[email-masked]>
To: [email-masked]
Date: Wed, 26 May 1999 11:52:04 +0000

Hi there,
I have installed the vim-5.3 distribution, and I
have problems with its graphical part, gvim.
I know that 'gvim' comes already compiled for
Win32 on the mother site (and also the DOS
version), but still, I just want to compile it
using cygwin tools.

So, here are the details :
1. According to the instructions in "GnuWin32.txt"
by Michael Hirmke, I have set :
    CYGWIN=title strip_title binmode glob tty
and my disk is mounted binary.
2. I compiled against ncurses for the text version
and Athena widgets Xaw3d for the graphical version
(I also tried Motif widgets). By the way, I have
X11R6 from Suhaib, but the Xaw3d widgets were
re-compiled by myself.
3. Compiling and installing was succesful.

The text part (the one called vim) works, except
one detail : I am using the same .vimrc and syntax
files for both the compiled vim.exe and the
downloaded one from vim's mother site (build Aug
30th 1998), but color rendering IS DIFFERENT. It
seems that the localy compiled vim.exe looses
color support after scrolling a few pages.

The graphical part (the one called gvim) doesn't
work. At all. I have tried two different X servers
: the one from MicroImage and the one from
Starnet. I also tried to compile against Motif
libraries (from Suhaib). The same result happens :
for a short while I see a rectangular window
appearing (empty of course), then it disappears.
If I do a 'ps', I see that my
'/usr/local/bin/vim.exe' is running, but still no
corresponfing window.

I trust the Xaw3d widgets because another
application based on them (gv, that visualizes
PostScript documents) works very very well with
them.

So, if anyone out there had similar experience
could he/she contact me, please ?

By the way, I am running W95B, with Cygwin20.1 and
egcs.1.1.2. I have created /bin and mounted the
'bin' folder from cygnus distribution on it. I
have copied cygwin1.dll to the c:\windows. If more
details are needed, please ask me.

Many thanks in advance.
--
Samy Alex ZAIMI
Tohoku Univ. Sendai (Japan)

--
Want to unsubscribe from this list?
Send a message to [email-masked]